[SciPy-user] scipy installation problems for a newbie

Jonathan Kane seismic73 at yahoo.com
Wed Jan 17 23:36:43 CST 2007


Hi,
   Thanks for your reply.  I downloaded my python from http://www.activestate.com/Products/ActivePython/

because it was recommended at http://www.scipy.org/Download

Next I downloaded numpy and scipy from the same page in the file http://idisk.mac.com/fonnesbeck-Public/ScipySuperpack-Intel-10.4-py2.4.zip

>From that installation I got errors that I showed in my first mail.

I took your advice and went and installed the entire DeveloperTools from Apple (about 3.3 Gbytes!).  I also installed the file you recommended gfortran-intel-bin.tar.gz

Still no luck.  I then saw on the page http://www.scipy.org/Installing_SciPy/Mac_OS_X   that I should install gcc-intel-bin.tar.gz to get the fortran compilers, so I also installed that (another ~250 Mbytes).  Still no luck.  I got rid of a few errors along the way, but still get the following:

>>> from scipy import *
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/linalg/__init__.py", line 8, in ?
    from basic import *
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/linalg/basic.py", line 17, in ?
    from lapack import get_lapack_funcs
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/linalg/lapack.py", line 17, in ?
    from scipy.linalg import flapack
ImportError: Failure linking new module: /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/linalg/flapack.so: Library not loaded: /usr/local/lib/libgfortran.1.dylib
  Referenced from: /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/linalg/flapack.so
  Reason: image not found

It can't seem to find the file /usr/local/lib/libgfortran.1.dylib  (there are files called  libgfortran.2.0.0.dylib , libgfortran.2.dylib, libgfortran.a, libgfortran.dylib, libgfortran.la, however......)

I really wish it wasn't this hard.  I am not a hotshot programmer/hacker, but I am not clueless either.  Its very confusing and frustrating downloading and installing Scipy.

Can you help me?  Should I send another mail to the list?  Should I uninstall everything and start over (although I don't know how to uninstall the compiler packages.....)?  Please let me know.

Thanks in advance.

Jon

Robert Kern <robert.kern at gmail.com> wrote: Jonathan Kane wrote:
> Hi.  I am a newbie trying to install both numpy and scipy.  Numpy seems
> to have installed fine, but scipy gives me errors when I try certain
> operations.  Can anyone help?  
> 
> I am using an Intel Mac Mini with OS X 10.4.8.  I downloaded and
> installed the binaries for ActivePython.  Here is the readout when I
> start python

Which numpy and scipy binaries did you install and where did you get them?
Whoever built them used gfortran to compile them. Consequently, they got linked
to the gfortran runtime libraries. You will need to download and install the
gfortran compiler available from here:

  http://hpc.sourceforge.net

Specifically, download the file gfortran-intel-bin.tar.gz . Read the paragraph
above the download link for information on how to install it.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco
_______________________________________________
SciPy-user mailing list
SciPy-user at scipy.org
http://projects.scipy.org/mailman/listinfo/scipy-user

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/scipy-user/attachments/20070117/3e87ab0f/attachment.html 


More information about the SciPy-user mailing list